package it.polimi.ingsw.gc14.Model.Cards.TribeCards;

import it.polimi.ingsw.gc14.Model.Cards.TribeCard;
import it.polimi.ingsw.gc14.Model.Player;


public abstract class  Character extends TribeCard implements Cloneable {
    private CharacterType type;
    public CharacterType getType() {
        return type;
    }

    public Character(int Era, CharacterType type){
        super(Era,false );
        this.type = type;
    }
    public Character(int Era, CharacterType type,int nMin){
        super(Era,false ,nMin);
        this.type = type;
    }

    @Override
    public String toString() {
        return super.toString()+" "+type.toString();
    }

    @Override
    public abstract Character clone();

    public abstract void insert(Player player);
}
